net.sf.jasperreports.engine.fill

## Class SimpleTextLineWrapper.FontKey

- java.lang.Object
- - net.sf.jasperreports.engine.fill.SimpleTextLineWrapper.FontKey

- Enclosing class:
    SimpleTextLineWrapper

      protected static class SimpleTextLineWrapper.FontKey
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleTextLineWrapper.FontKey(java.lang.String family, float size, int style, java.util.Locale locale)`
    `SimpleTextLineWrapper.FontKey(java.lang.String family, int size, int style, java.util.Locale locale)` Deprecated. To be removed.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleTextLineWrapper.FontKey

          public SimpleTextLineWrapper.FontKey(java.lang.String family,
                                       int size,
                                       int style,
                                       java.util.Locale locale)

      Deprecated. To be removed.

    - #### SimpleTextLineWrapper.FontKey

          public SimpleTextLineWrapper.FontKey(java.lang.String family,
                                       float size,
                                       int style,
                                       java.util.Locale locale)

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com